Skip to main content
POST
/
api
/
v1
/
calls
/
outbound
Create Outbound Call
curl --request POST \
  --url https://dev.voice.ai/api/v1/calls/outbound \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_id": "<string>",
  "target_phone_number": "<string>",
  "dynamic_variables": {}
}
'
{
  "call_id": "<string>",
  "room_name": "<string>",
  "agent_id": "<string>",
  "target_phone_number": "<string>",
  "status": "<string>",
  "initiated_at": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your API key as the bearer token. Format: Authorization: Bearer

Body

application/json
agent_id
string
required

Agent ID to make the outbound call

target_phone_number
string
required

Phone number to dial

dynamic_variables
DynamicVariables · object

Optional runtime dynamic variables as a flat object of string, number, or boolean values

Response

Successful Response

call_id
string
required
room_name
string
required
agent_id
string
required
target_phone_number
string
required
status
string
required
initiated_at
string
required